######################################################################
#
#       CameraReset.py
#
#       Copyright (c) 2003 C. Cigas
#
#       craig@castironflamingo.com
#
#       Reset the focal length of all cameras to 55mm.
#
import poser

for cam in poser.Scene().Cameras():
        parm = cam.Parameter("Focal")
        if parm.Value() != 0:
                parm.SetValue(55.0)
try:
        poser.Scene().SelectActor(poser.Scene().Actor("Main Camera"))
except:
        pass
